Re: Install on opensolaris 2008.05

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



On Sun, Aug 17, 2008 at 08:55:57AM -0400, Sean Brandt wrote:

>  I'm installing on opensolaris 2008.05 and the tests fail in
> t0002-gitfile.sh  ( test numbers 2 and 3 ) is this expected/ok?

No, it's not expected nor ok (though it there is a reasonable chance it
is a portability problem in the test script, and not a real git
breakage).

What does

  make test GIT_TEST_OPTS="-v -i"

tell you?

>                 if ! grep -qe "Invalid gitfile format" .err

Just a guess, but I think Solaris grep doesn't understand "-q".

Does the patch below help?

---
diff --git a/t/t0002-gitfile.sh b/t/t0002-gitfile.sh
index 4db4ac4..e4970fe 100755
--- a/t/t0002-gitfile.sh
+++ b/t/t0002-gitfile.sh
@@ -32,7 +32,7 @@ test_expect_success 'bad setup: invalid .git file format' '
 		echo "git rev-parse accepted an invalid .git file"
 		false
 	fi &&
-	if ! grep -qe "Invalid gitfile format" .err
+	if ! grep -e "Invalid gitfile format" .err
 	then
 		echo "git rev-parse returned wrong error"
 		false
@@ -46,7 +46,7 @@ test_expect_success 'bad setup: invalid .git file path' '
 		echo "git rev-parse accepted an invalid .git file path"
 		false
 	fi &&
-	if ! grep -qe "Not a git repository" .err
+	if ! grep -e "Not a git repository" .err
 	then
 		echo "git rev-parse returned wrong error"
 		false
--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]

  Powered by Linux